StoreConfigBeanInfo (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.persist

## Class StoreConfigBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - com.sleepycat.util.ConfigBeanInfoBase
    - - com.sleepycat.persist.StoreConfigBeanInfo

- All Implemented Interfaces:
    `java.beans.BeanInfo`

      public class StoreConfigBeanInfo
      extends ConfigBeanInfoBase

- - ### Field Summary

    - ### Fields inherited from class com.sleepycat.util.ConfigBeanInfoBase

      `getterAndSetterMethods, ignoreMethods, propertiesName`

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StoreConfigBeanInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.beans.BeanDescriptor` | `getBeanDescriptor()` |
    `java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` |

    - ### Methods inherited from class com.sleepycat.util.ConfigBeanInfoBase

      `getBdescriptor, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getPdescriptor, getPropertiesInfo, getPropertyDescriptors`

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `getAdditionalBeanInfo, getMethodDescriptors, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreConfigBeanInfo

          public StoreConfigBeanInfo()

  - ### Method Detail

    - #### getBeanDescriptor

          public java.beans.BeanDescriptor getBeanDescriptor()

      Specified by:
        `getBeanDescriptor` in interface `java.beans.BeanInfo`
      Overrides:
        `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`

    - #### getPropertyDescriptors

          public java.beans.PropertyDescriptor[] getPropertyDescriptors()

      Specified by:
        `getPropertyDescriptors` in interface `java.beans.BeanInfo`
      Overrides:
        `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.